Subject: [codec] Opus codec on Analog Devices SHARC DSPs - patch needed

From: [email-masked]
Date: Sat, 19 Nov 2011 14:12:10 -0800

Hello,

I am currently considering the use of the Opus codec for an audio streaming
application that would run on an Analog Devices SHARC DSP.  Since it is a
32-bit floating-point DSP, I assumed it would be relatively easy to get the
Opus floating-point code building for the SHARC.  I am only interested in
the CELT mode of operation, so I created a project that included
opus_custom_demo.c and all necessary files for the demo to build.

I found one issue that prevents the CELT code from building for the SHARC
DSP.  The file bands.c contains a variable named "bank", which is used in
several places in the file.  The SHARC C compiler treats "bank" as a
reserved keyword for specifying what memory block a piece of data should go
in.

I've attached a patch that renames variables named "bank" to "band" in both
bands.c and bands.h.  Let me know if you will consider making this change.

Thanks,

Matt Kotvis

---

From: Jean-Marc Valin <[email-masked]>
Date: Tue, 22 Nov 2011 10:50:52 -0500

Sounds like a reasonable (and very low risk) change to make.

Thanks,

	Jean-Marc

On 19/11/11 05:12 PM, [email-masked] wrote:
> Hello,
> 
> I am currently considering the use of the Opus codec for an audio
> streaming application that would run on an Analog Devices SHARC DSP. 
> Since it is a 32-bit floating-point DSP, I assumed it would be
> relatively easy to get the Opus floating-point code building for the
> SHARC.  I am only interested in the CELT mode of operation, so I created
> a project that included opus_custom_demo.c and all necessary files for
> the demo to build.
> 
> I found one issue that prevents the CELT code from building for the
> SHARC DSP.  The file bands.c contains a variable named "bank", which is
> used in several places in the file.  The SHARC C compiler treats "bank"
> as a reserved keyword for specifying what memory block a piece of data
> should go in. 
> 
> I've attached a patch that renames variables named "bank" to "band" in
> both bands.c and bands.h.  Let me know if you will consider making this
> change.
> 
> Thanks,
> 
> Matt Kotvis
> 
> 
> _______________________________________________
> codec mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/codec